Alternative navigation for Browsers that aren't able to display frames <center> <a href="welcome.php">Home</a><br> <a href="tarballs.php">Tarballs and Diffs</a><br> <a href="old_news.php">Older News</a><br> <a href="packages.php">Repository</a><br> </center>

How to use my repository

First you have to insert one or more lines into your /etc/sources.list,
to let apt (or any other package-manager) know that you want to use this repo.

Testing Repository

In this repo you'll find the packages for the current testing flavour of debian.
By now, you have access to the following sub-repos:

amule

In this branch, you'll find the svn versions of aMule. In earlier days, this was the
daily cvs-snapshot. Today svn is used, and the tarballs (like the ones on this page are
created when a developer changes something. This can happen twice a day, once a week.

amule-stable

In this branch you'll find the current stable version of aMule. It can happen that this has an
equal of even lower version than the ones in official debian-repo's. This can happen, because
my packaging and the official packaging differ. Maybe there was an error in the official repo
that had to be fixed, while my packages didn't contain this problem, so you'll get upstream
a revision of -2 while I stay on -1. To not run into troubles, please read the chapter about
pinning at the end of this page.

wx

In this branch you'll find the version of wx-widgets that is needed to compile aMule.
As soon as the version in official repos is high enough, this branch will get an emtpy index-
file, so you can leave it in you /etc/sources.list without any troubles.

Stable Repository

amule

In this branch, you'll find the svn versions of aMule. In earlier days, this was the
daily cvs-snapshot. Today svn is used, and the tarballs (like the ones on this page are
created when a developer changes something. This can happen twice a day, once a week.

This section is currently empty, till the scripts to build it are working. Stay tuned for news on this

In this branch you'll find the current stable version of aMule. It can happen that this has an
equal of even lower version than the ones in official debian-repo's. This can happen, because
my packaging and the official packaging differ. Maybe there was an error in the official repo
that had to be fixed, while my packages didn't contain this problem, so you'll get upstream
a revision of -2 while I stay on -1. To not run into troubles, please read the chapter about
pinning at the end of this page.

wx

In this branch you'll find the version of wx-widgets that is needed to compile aMule.
As soon as the version in official repos is high enough, this branch will get an emtpy index-
file, so you can leave it in you /etc/sources.list without any troubles.

upnp

In this branch you'll find the version of lib-upnp that is needed to compile aMule.
As soon as the version in official repos is high enough, this branch will get an emtpy index-
file, so you can leave it in you /etc/sources.list without any troubles.